/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Microscopy Filter
 */
public enum EnumCM_MicroscopyFilter {

	//CID 8124 Microscopy Filter
	GREEN_OPTICAL_FILTER("Green optical filter"),
	RED_OPTICAL_FILTER("Red optical filter"),
	BLUE_OPTICAL_FILTER("Blue optical filter"),
	INFRARED_OPTICAL_FILTER("Infrared optical filter"),
	POLARIZING_OPTICAL_FILTER("Polarizing optical filter"),
	VIOLET_OPTICAL_FILTER("Violet optical filter"),
	ULTRAVIOLET_OPTICAL_FILTER("Ultraviolet optical filter"),
	DICHROIC_BEAMSPLITTER("Dichroic beamsplitter"),
	HOFFMAN_MODULATOR("Hoffman modulator"),
	DARKFIELD_STOP("Darkfield stop"),
	RHEINBERG_FILTER("Rheinberg filter"),
	PHASE_CONTRAST_PLATE("Phase contrast plate"),
	CONDENSER_ANNULUS("Condenser annulus"),
	NOMARSKI_PRISM("Nomarski prism"),
	DE_SENARMONT_COMPENSATOR("de SEnarmont compensator"),
	NO_FILTER("No filter");
	
 	private String value;
	
	EnumCM_MicroscopyFilter(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
